<html>
<head>
<title>OGRE: Ogre::FileInfo Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1FileInfo.html">FileInfo</a></div>
<h1>Ogre::FileInfo Struct Reference</h1><!-- doxytag: class="Ogre::FileInfo" -->Information about a file/directory within the archive will be returned using a <a class="el" href="structOgre_1_1FileInfo.html" title="Information about a file/directory within the archive will be returned using a FileInfo...">FileInfo</a> struct.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1FileInfo-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Archive.html">Archive</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FileInfo.html#bfa635472f6acfaca380a4a6be39f853">archive</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The archive in which the file has been found (for info when performing multi-Archive searches, note you should still open through <a class="el" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various...">ResourceGroupManager</a>).  <a href="#bfa635472f6acfaca380a4a6be39f853"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FileInfo.html#841227629a26a422c3ba6c4bd1877d62">filename</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The file's fully qualified name.  <a href="#841227629a26a422c3ba6c4bd1877d62"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FileInfo.html#d2e54ca7979d9c87a255e6eb532a33f2">path</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Path name; separated by '/' and ending with '/'.  <a href="#d2e54ca7979d9c87a255e6eb532a33f2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FileInfo.html#c48eca5413e87a3efd1f3355b994f5fd">basename</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Base filename.  <a href="#c48eca5413e87a3efd1f3355b994f5fd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FileInfo.html#c9634cdb326f2b11575a8cc7fc509b96">compressedSize</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compressed size.  <a href="#c9634cdb326f2b11575a8cc7fc509b96"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FileInfo.html#66c7bf4f59feb619016a5c70e4ded4ee">uncompressedSize</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Uncompressed size.  <a href="#66c7bf4f59feb619016a5c70e4ded4ee"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Information about a file/directory within the archive will be returned using a <a class="el" href="structOgre_1_1FileInfo.html" title="Information about a file/directory within the archive will be returned using a FileInfo...">FileInfo</a> struct. 
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00045">45</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="bfa635472f6acfaca380a4a6be39f853"></a><!-- doxytag: member="Ogre::FileInfo::archive" ref="bfa635472f6acfaca380a4a6be39f853" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Archive.html">Archive</a>* <a class="el" href="structOgre_1_1FileInfo.html#bfa635472f6acfaca380a4a6be39f853">Ogre::FileInfo::archive</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The archive in which the file has been found (for info when performing multi-Archive searches, note you should still open through <a class="el" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various...">ResourceGroupManager</a>). 
<p>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00048">48</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="841227629a26a422c3ba6c4bd1877d62"></a><!-- doxytag: member="Ogre::FileInfo::filename" ref="841227629a26a422c3ba6c4bd1877d62" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1FileInfo.html#841227629a26a422c3ba6c4bd1877d62">Ogre::FileInfo::filename</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The file's fully qualified name. 
<p>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00050">50</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d2e54ca7979d9c87a255e6eb532a33f2"></a><!-- doxytag: member="Ogre::FileInfo::path" ref="d2e54ca7979d9c87a255e6eb532a33f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1FileInfo.html#d2e54ca7979d9c87a255e6eb532a33f2">Ogre::FileInfo::path</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Path name; separated by '/' and ending with '/'. 
<p>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00052">52</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c48eca5413e87a3efd1f3355b994f5fd"></a><!-- doxytag: member="Ogre::FileInfo::basename" ref="c48eca5413e87a3efd1f3355b994f5fd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1FileInfo.html#c48eca5413e87a3efd1f3355b994f5fd">Ogre::FileInfo::basename</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Base filename. 
<p>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00054">54</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c9634cdb326f2b11575a8cc7fc509b96"></a><!-- doxytag: member="Ogre::FileInfo::compressedSize" ref="c9634cdb326f2b11575a8cc7fc509b96" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1FileInfo.html#c9634cdb326f2b11575a8cc7fc509b96">Ogre::FileInfo::compressedSize</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Compressed size. 
<p>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00056">56</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="66c7bf4f59feb619016a5c70e4ded4ee"></a><!-- doxytag: member="Ogre::FileInfo::uncompressedSize" ref="66c7bf4f59feb619016a5c70e4ded4ee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1FileInfo.html#66c7bf4f59feb619016a5c70e4ded4ee">Ogre::FileInfo::uncompressedSize</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Uncompressed size. 
<p>

<p>Definition at line <a class="el" href="OgreArchive_8h-source.html#l00058">58</a> of file <a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:08 2008
</p>
</body>
</html>
